[% INCLUDE 'doc-head-open.inc' %]
    <title>Koha: FancyPlugin: Configuration</title>
[% INCLUDE 'doc-head-close.inc' %]
</head>
<body>
[% INCLUDE 'header.inc' %]
[% INCLUDE 'cat-search.inc' %]

[% TRY %]
    [% PROCESS "$PLUGIN_DIR/i18n/${LANG}.inc" %]
[% CATCH %]
    [% PROCESS "$PLUGIN_DIR/i18n/default.inc" %]
[% END %]

<div id="breadcrumbs">
    <a href="/cgi-bin/koha/mainpage.pl">Home</a>
    &rsaquo; <a href="/cgi-bin/koha/plugins/plugins-home.pl">Plugins</a>
    &rsaquo; [% T.plugin_name %]
    &rsaquo; [% T.configuration %]
</div>

<div class="main container-fluid">

    <div class="col-sm-2">
        <aside>
            <img src="https://gitlab.com/koha-community/Koha/-/raw/master/koha-tmpl/intranet-tmpl/prog/img/koha-logo.png?inline=false"/>
        </aside>
    </div>

    <div class="col-sm-10">
        <main>

            <h3>Koha: Fancy plugin: Configuration</h3>

            <!-- Notice our form here has no 'action', this is good, it means that our forms will always get passed back to 'plugins/run.pl'. You could hard code it instead if you prefer -->
            <form method="get">
                <!-- Always pass these two parameters so the plugin system knows what to execute! -->
                <input type="hidden" name="class" value="[% CLASS | html %]"/>
                <input type="hidden" name="method" value="[% METHOD | html %]"/>

                <fieldset class="rows">
                    <legend>[% T.color_settings %]</legend>

                    <ol>
                        <li>
                            <label for="color">[% t.color_label %] </label>
                            [% SET options = { pink = T.pink, red = T.red, orange = T.orange, blue = T.blue } %]
                            <select name="color">
                            [% FOREACH option IN options.pairs %]
                                [% IF option.key == color %]
                                <option value="[% option.key | html %]" selected="selected">[% option.value | html %]</option>
                                [% ELSE %]
                                <option value="[% option.key | html %]">[% option.value | html %]</option>
                                [% END %]
                            [% END %]
                            </select>
                        </li>
                    </ol>
                </fieldset>

                <fieldset class="action">
                     <input type="hidden" name="save" value="1" />
                     <input type="submit" value="[% T.save_configuration %]" />
                     <a class="cancel" href="/cgi-bin/koha/plugins/plugins-home.pl">[% T.cancel %]</a>
                </fieldset>
            </form>
        </main>
    </div>
</div>

[% INCLUDE 'intranet-bottom.inc' %]
